<?php
    
    namespace common\models;
    
    use Yii;
    use yii\behaviors\TimestampBehavior;

    /**
     * This is the model class for table "comment".
     *
     * @property int    $id
     * @property string $name
     * @property string $email
     * @property string $comment
     * @property bool   $status
     * @property int    $service_id
     * @property int    $created_at
     * @property int    $updated_at
     */
    class Comment extends \yii\db\ActiveRecord
    {
        /**
         * {@inheritdoc}
         */
        public static function tableName()
        {
            return 'comment';
        }
    
    
        /**
         * @inheritdoc
         */
        public function behaviors()
        {
            return [
                [
                    'class'              => TimestampBehavior::className(),
                    'updatedAtAttribute' => false,
                ],
            ];
        }
        /**
         * {@inheritdoc}
         */
        public function rules()
        {
            return [
                [
                    [ 'comment', 'entity' ],
                    'string',
                ],
                [
                    [
                        'status',
                        'on_main',
                    ],
                    'boolean',
                ],
                [
                    [
                        'entity_id',
                        'created_at',
                        'updated_at',
                    ],
                    'default',
                    'value' => null,
                ],
                [
                    [
                        'entity_id',
                        'created_at',
                        'updated_at',
                    ],
                    'integer',
                ],
                [
                    [
                        'name',
                        'email',
                    ],
                    'string',
                    'max' => 255,
                ],
                [
                    [
                        'name', 'email'
                    ],
                    'required'
                ],
                [
                    ['email'],
                    'email'
                ]
            ];
        }
        
        /**
         * {@inheritdoc}
         */
        public function attributeLabels()
        {
            return [
                'id'         => Yii::t('app', 'ID'),
                'name'       => Yii::t('app', 'Name'),
                'email'      => Yii::t('app', 'Email'),
                'comment'    => Yii::t('app', 'Comment'),
                'status'     => Yii::t('app', 'Status'),
                'service_id' => Yii::t('app', 'Service ID'),
                'created_at' => Yii::t('app', 'Created At'),
                'updated_at' => Yii::t('app', 'Updated At'),
            ];
        }
        
        public function getEntityObject(){
            if ($this->entity !== null){
                return $this->hasOne($this->entity, ['id' => 'entity_id']);
            }
            return null;
        }
    }
