<?php
    /**
     * @var \common\models\Package[] $packages
     * @var \yii\web\View $this
     */
    
    use artbox\core\helpers\ImageHelper;
    use artbox\core\helpers\Url;
    
    $this->params[ 'breadcrumbs'][] = \Yii::t('app','Package offerings');
    ?>

<section class="section-packages-page">
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                <h1 class="title-pages"><?=\Yii::t('app','Package offerings');?></h1>
            </div>
        </div>
        <div class="row">
            <?php foreach ($packages as $package){
//              print_r($package->language); die();
              
              ?>
            <div class="col-xs-12 col-sm-6 packages-page-col">
                <a class="packages-page-link" href="<?=Url::to(['alias' => $package->language->alias])?>">
                    <div class="img-packages-page">
                        <!--555x344-->
                        <?=ImageHelper::set(($package->image) ? $package->image->getPath() : null)
                                      ->cropResize(555, 344)
                                      ->quality(84)
                                      ->renderImage()?>
                    </div>
                    <div class="table-packages-wr">
                        <table cellspacing="0" cellpadding="0" border="0">
                            <tr>
                                <td><span class="title-packages"><?=$package->title?></span></td>
                            </tr>
                            <tr>
                                <td>
                                    <span class="btn_ packages-btn"><?=\Yii::t('app','More info');?></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </a>
            </div>
            <?php }?>
        </div>
    </div>
</section>
