<?php
    /**
     * @var \common\models\Package $package;
     * @var \yii\web\View $this;
     */
    use common\models\Package;
    use yii\web\View;
    
    $seo = \Yii::$app->get('seo');
    $this->params[ 'entity'] = Package::className();
    $this->params['entity_id'] = $package->id;
    $this->params['breadcrumbs'][] = (!empty($seo->h1)) ? $seo->h1 :$package->title;
    
    $js = <<<JS
    $(document).on('beforeSubmit', '#visit-form', function() {
             dataLayer.push({'event': 'formsend_package'});
             console.log('push');
             return true;
    });
JS;
  $this->registerJs($js, View::POS_LOAD);
    ?>


<section class="section-service-page section-package-page">
    <div class="container">
        <div class="row">
            <div class="col-xs-12 col-sm-12">
                <div class="row">
                    <div class="col-xs-12">
                        <h1 class="title-pages"><?=(!empty($seo->h1)) ? $seo->h1 :$package->title;?></h1>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-12 service-text-table-wrapp editor-text">
                        <?=$package->body?>
                        
                        <div class="style">
                            <span class="btn_ modal-link" data-form="write-to">
                                <?=\Yii::t('app','Make an appointment');?></span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
