<?php
    use artbox\core\components\SeoComponent;
    use artbox\core\models\Image;
    use artbox\core\models\Page;
    use yii\helpers\Html;
    use yii\web\View;
    
    /**
     * @var View         $this
     * @var Page         $model
     * @var Page[]       $pages
     * @var SeoComponent $seo
     * @var Image[]      $images
     * @var string       $lefts
     * @var string       $body
     */
    $seo = \Yii::$app->get('seo');
    $this->params[ 'breadcrumbs' ][] = $seo->title;
?>

<section class="section-service-page section-package-page">
    <div class="container">
        <div class="row">
            <div class="col-xs-12 col-sm-12">
                <div class="row">
                    <div class="col-xs-12">
                        <h1 class="title-pages">Текстовая страница</h1>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-12 service-text-table-wrapp editor-text">
                        <p>В нашей клинике вы будете чувствовать себя комфортно и расслабленно на протяжении всего периода беременности.
                            Врачи вместе с вами наблюдают за развитием малыша в утробе, консультируют по возникающим вопросам, а также
                            всячески способствуют гармоничному вынашиванию плода. Мы проводим комплексную консультацию и все виды УЗИ при
                            беременности в городе Киев.</p>

                        <h2>Зачем вам нужно сделать УЗИ при беременности?</h2>

                        <p>
                            Ультразвуковое исследование (УЗИ) при беременности — безопасная и безболезненная процедура, чтобы определить
                            срок, узнать как развивается плод, соответствие размера тела ребенка и родовых путей, а также диагностировать
                            любые пороки развития.
                        </p>

                        <ul>
                            <li>Зачем вам нужно сделать УЗИ при беременности?</li>
                            <li>При эндокринных заболеваниях (хронические и наследственные болезни, сахарный диабет);</li>
                            <li>Если вам больше 35 лет;</li>
                            <li>При многоплодной беременности;</li>
                            <li>Был пережит сильный физический или эмоциональный стресс;</li>
                            <li>Выявлена любая экстрагенитальная (не связанная с беременностью) патология и инфекция;</li>
                            <li>Любые оперативные вмешательства до зачатия в брюшной полости;</li>
                            <li>Боли внизу живота и любые кровянистые выделения из половых путей;</li>
                            <li>Осложнения во время предыдущей беременности и пороки развития плода. Проблемы и пороки развития во время предыдущей беременности.</li>
                        </ul>

                        <h2>Как подготовиться к УЗИ?</h2>

                        <p>Вам не потребуется специальная диета для проведения процедуры — питайтесь в привычном режиме, но не
                            злоупотребляйте накануне газированными напитками, сырыми овощами, бобовыми, сладостями, черным хлебом. Не
                            волнуйтесь и обязательно хорошо выспитесь.</p>

                        <p>Если планируемое УЗИ малыша проводится абдоминально, тогда перед процедурой за полчаса нужно будет выпить
                            500-800 мл воды, чтобы наполнить мочевой пузырь. Во время этой процедуры на живот наносят гель по которому
                            движется ультразвуковой датчик, а сама информация отображается на мониторе.</p>

                    </div>
                </div>
            </div>
        </div>
    </div>
</section>