<?php
    
    /**
     * @var View     $this
     * @var Feedback $contact
     * @var \artbox\core\forms\Module $module;
     * @var Settings $settings
     */
    
    use artbox\core\models\Feedback;
    use common\models\Settings;
    use yii\web\View;
    

    
    $this->title = \Yii::t('app', 'Contacts');
    $this->params[ 'breadcrumbs' ][] = $this->title;
    

    

    $module = \Yii::$app->getModule('contact');

?>

<section class="section-contact-page">
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                <h1 class="title-pages"><?=\Yii::t('app', 'Contacts');?></h1>
            </div>
        </div>
        <div class="row">
            <div class="col-xs-12 col-sm-5 col-md-4 col-lg-4">
                <div class="style contacts-page-grey">
                    <div class="map-info-wrapp">
                      <?php if (!empty($settings->address)){?>
                        <div class="marker-img"><img src="/images/map/marker-1-grey.svg" width="12" height="18" alt=""></div>
                        <div class="map-adress"><?=$settings->address?></div>
                      <?php } ?>
                      <?php if (!empty($settings->phone) or !empty($settings->phone2)){
                        $phones = array_merge(explode(';', $settings->phone2) , [$settings->phone]);
                        ?>
                        <div class="ico-map"><img src="/images/map/phone-map-1-grey.svg" alt=""></div>
                        <div class="map-phone">
                          <?php foreach ($phones as $phone){?>
                            <p><?=$phone?></p>
                          <?php }?>
                        </div>
                      <?php }?>
                      <?php if (!empty($settings->email)){?>
                          <div class="ico-map ico-map-mail">
                              <img src="/images/map/mail-map-1-grey.svg" alt=""></div>
                        <div class="map-mail">
                            <a href="mailto:<?=$settings->email?>">
                                <?=$settings->email?>
                            </a>
                        </div>
                      <?php } ?>
                    </div>
                </div>
            </div>
            <div class="hidden visible-md visible-lg col-md-1 col-lg-1"></div>
            <div class="col-xs-12 col-sm-6 col-md-5 col-lg-5">
                <div class="style blog-view-comments-form">
                    <div class="style hidden-form-c-a">
                        <div class="title-forms-c-a style">Обратный звонок</div>
                        <?=$module->renderForm($this)?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>